package com.cku.model;

import java.math.BigDecimal;
import java.util.Date;

public class SPCarts {
    private String id;

    private String orderid;

    private String ckuId;

    private String pid;

    private Integer pcount;

    private BigDecimal spPrice;

    private BigDecimal totalPrice;

    private Integer spIntegral;

    private Date addTime;

    private String xmid;

    private String pzId;

    private String payconfirm;

    private String operate;

    private Date operateTime;

    private String memberid;
    
    private String orderType;
    
    private String delFlag;
    
    private String businessIds;
    
    private String businessTable;
    
    private String createBy;
    
    private String updateBy;
    
    private String chargingItemName;//项目名称
    
    private String businessOrderCode;		// 业务号
    
	private String businessName ;//业务名字
	
	private String businessId;//业务序号
	
	 private String businessRefund;//业务退款  0不支持,1支持
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrderid() {
        return orderid;
    }

    public void setOrderid(String orderid) {
        this.orderid = orderid == null ? null : orderid.trim();
    }

    public String getCkuId() {
        return ckuId;
    }

    public void setCkuId(String ckuId) {
        this.ckuId = ckuId == null ? null : ckuId.trim();
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public Integer getPcount() {
        return pcount;
    }

    public void setPcount(Integer pcount) {
        this.pcount = pcount;
    }

    public BigDecimal getSpPrice() {
        return spPrice;
    }

    public void setSpPrice(BigDecimal spPrice) {
        this.spPrice = spPrice;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Integer getSpIntegral() {
        return spIntegral;
    }

    public void setSpIntegral(Integer spIntegral) {
        this.spIntegral = spIntegral;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getXmid() {
        return xmid;
    }

    public void setXmid(String xmid) {
        this.xmid = xmid == null ? null : xmid.trim();
    }

    public String getPzId() {
        return pzId;
    }

    public void setPzId(String pzId) {
        this.pzId = pzId == null ? null : pzId.trim();
    }

    public String getPayconfirm() {
        return payconfirm;
    }

    public void setPayconfirm(String payconfirm) {
        this.payconfirm = payconfirm == null ? null : payconfirm.trim();
    }

    public String getOperate() {
        return operate;
    }

    public void setOperate(String operate) {
        this.operate = operate == null ? null : operate.trim();
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
    }

    public String getMemberid() {
        return memberid;
    }

    public void setMemberid(String memberid) {
        this.memberid = memberid == null ? null : memberid.trim();
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

	public String getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getBusinessIds() {
		return businessIds;
	}

	public String getBusinessTable() {
		return businessTable;
	}

	public void setBusinessIds(String businessIds) {
		this.businessIds = businessIds;
	}

	public void setBusinessTable(String businessTable) {
		this.businessTable = businessTable;
	}

	public String getCreateBy() {
		return createBy;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public String getChargingItemName() {
		return chargingItemName;
	}

	public void setChargingItemName(String chargingItemName) {
		this.chargingItemName = chargingItemName;
	}

	public String getBusinessOrderCode() {
		return businessOrderCode;
	}

	public void setBusinessOrderCode(String businessOrderCode) {
		this.businessOrderCode = businessOrderCode;
	}

	public String getBusinessName() {
		return businessName;
	}

	public void setBusinessName(String businessName) {
		this.businessName = businessName;
	}

	public String getBusinessId() {
		return businessId;
	}

	public void setBusinessId(String businessId) {
		this.businessId = businessId;
	}

	public String getBusinessRefund() {
		return businessRefund;
	}

	public void setBusinessRefund(String businessRefund) {
		this.businessRefund = businessRefund;
	}
    
}